import click

from ..tools import context
from ..tools.ble import monitor, scanner


@click.command(name="scan")
def scanner_cmd() -> None:
    scanner.run()


@click.command(name="monitor")
@click.argument("address")
def monitor_cmd(address) -> None:
    monitor.run(address)


@click.command(name="tui")
def tui_cmd() -> None:
    context.set_environment(context.BlattedEnvironment.TUI)


@click.group()
def main() -> None:
    context.set_environment(context.BlattedEnvironment.CLI)


main.add_command(scanner_cmd)
main.add_command(monitor_cmd)
main.add_command(tui_cmd)
